Xeonr Developer Docs

Set Console Context

POST
/xeonr.auth.api.v1.ConsoleService/SetConsoleContext

Update the caller's active team, pinned products and/or theme.

Required scopes: auth:console

AuthorizationBearer <token>

JWT access token obtained via OAuth2 flow or service account

In: header

Header Parameters

Connect-Protocol-Version?number

Define the version of the Connect protocol

Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

context?
updateMask?string

Which fields of context to apply; empty applies all three.

[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://auth.xeonr.io/xeonr.auth.api.v1.ConsoleService/SetConsoleContext" \  -H "Connect-Protocol-Version: 1" \  -H "Connect-Timeout-Ms: 1000" \  -H "Content-Type: application/json" \  -d '{}'
{
  "activeTeam": "string",
  "pinnedProducts": [
    "string"
  ],
  "theme": "string"
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}